/***************************************************************************
 * CLASS:		MiscImageDragView
 * PROGRAMMER:	Todd Thomas
 * DATE:		Feb 15, 1993
 * VERSION		0.2
 *
 *	A class that allows you to drag and drop any images that NXImage
 * understands. That includes data from NXTIFFPboardType, 
 * NXFilenamePboardType, and NXPostScriptPboardType.
 * I don't know how useful this class actually is, but it is here as
 * more of an example of how to use MiscDragView. As for options, you can
 * either dragg the image in the view or just the icon representation (which 	
 * is the TIFF icon rep.). For now, though the well will accept a lot of 	
 * different types of data, it will only put TIFF data on
 * the pasteboard in preparation of a source drag.
 *		
 ****************************************************************************/
 
#import <appkit/appkit.h>
#import "MiscDragView.h"


@interface MiscImageDragView : MiscDragView
{
	BOOL  dragIconRepresentation;
}
	
- initFrame: (NXRect *)frameRect;
- awake;
- setDragIconRepresentation: (BOOL)aBool;
- (BOOL)dragIconRepresentation;
- (BOOL)setupForSourceDrag;
- calculateDragPoint: (NXPoint *)dragPoint andOffset: (NXPoint *)offset;
- (BOOL)prepareForDragOperation:sender;
- (BOOL)performDragOperation: sender;
- read: (NXTypedStream *)stream;
- write: (NXTypedStream *)stream;


@end